Subject: Re: [Az-Geocaching] Looking for a belt clip for the Magellan

From: AZcachemeister <[email-masked]>
Date: Tue, 06 Dec 2005 17:30:05 -0700

Hey Bob!
You can have mine! I found the peg while on a cache hunt in Prescott, 
and it fits a 'standard' cell phone swivel clip. I have never really 
used it 'cause it's a PITA...
Driving along...
           GPS in window-mount cradle with power adapter attached
Park as close as possible to GZ for cache...
           Remove GPS from cradle
           Remove power adapter
           Screw belt-clip stud into GPS
           Clip GPS into belt-clip
Walk around and (maybe!) find the cache...
Return to vehicle...
           Remove GPS from belt-clip
           Unscrew stud from GPS
           Re-attach power adapter
           Return GPS to window-mount cradle
Drive to next cache...

I much prefer a belt pouch for extra-vehicular-activity. It protects the 
GPS from damage and (if you get the right one) has a pocket for spare 
batteries and/or whatever.

Now RTW will tell you that you could be smart and just get a GARMIN 
60C/CS, that comes equipped with such a belt-clip stud, and it doesn't 
interfere with the cable connections. Just one of  2,363,036 reasons why 
the GARMIN 60C/CS is the best electronic device ever created!

Cache On!
Steve

Robert & Linda Smith wrote:
> Has anyone seen a belt clip for the Magellan Gold/Color receivers??  I 
> know I have seen them but can't remember what and where.  I thought 
> they screwed into the back where the batter/data connector attaches 
> and have a spring clip catch that hooks over the belt.
>
> Thanks,  Bob Smith, Prescott
> ____________________________________________________________
> Az-Geocaching mailing list [email-masked]
> To edit your setting, subscribe or unsubscribe visit:
> http://listserv.azgeocaching.com/mailman/listinfo/az-geocaching
>
> Arizona's Geocaching Resource
> http://www.azgeocaching.com
>
>
>